Subject: Re: Request to add linux-kselftest test branch

From: Stephen Rothwell <[email-masked]>
Date: Tue, 1 Oct 2019 07:39:13 +1000

Hi Shuah,

On Mon, 30 Sep 2019 10:05:28 -0700 Brendan Higgins <[email-masked]> wrote:
>
> On Thu, Sep 26, 2019 at 9:53 AM Shuah Khan <[email-masked]> wrote:
> >
> > On 9/26/19 9:05 AM, Mark Brown wrote:  
> > > On Wed, Sep 25, 2019 at 01:30:15PM -0600, Shuah Khan wrote:
> > >  
> > >> Please add the following linux-kselftest test branch to linux-next.  
> > >  
> > >> https://git.kernel.org/pub/scm/linux/kernel/git/shuah/linux-kselftest.git/log/?h=test  
> > >  
> > >> please let me know if you have questions.  
> > >
> > > OK, I've added that now - I did actually merge it in by hand
> > > yesterday too.  It looks like it's for kunit so I guess Brendan
> > > should be in the CC list for any issues too?  Hopefully Stephen
> > > will see these mails when he gets back but it's worth checking
> > > and following up to make sure that he picks it up after he gets
> > > back on the 30th.  
> 
> Just following up since Mark suggested that it might be a good idea to
> do so and it doesn't look like the linux-kselftest test branch is
> currently in next-20190930.

Brendan, thanks for the reminder.

I have added this tree form today and called it kunit, I hope that is
OK.

Is this meant to be the updates for the next merge window, or fixes for
the current releasel?  I ask because I notice that you also have a
"next" branch that Linus has merged for the current merge window.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]